test_reflective_loader 0.1.9

  • Readme
  • Changelog
  • Installing
  • 72

test_reflective_loader #

Build Status

Support for discovering tests and test suites using reflection.

This package follows the xUnit style where each class is a test suite, and each method with the name prefix test_ is a single test.

Methods with names starting with test_ are run using the test() function with the corresponding name. If the class defines methods setUp() or tearDown(), they are executed before / after each test correspondingly, even if the test fails.

Methods with names starting with solo_test_ are run using the solo_test() function.

Methods with names starting with fail_ are expected to fail.

Methods with names starting with solo_fail_ are run using the solo_test() function and expected to fail.

Method returning Future class instances are asynchronous, so tearDown() is executed after the returned Future completes.

Features and bugs #

Please file feature requests and bugs at the issue tracker.

0.1.9 #

  • Add @SkippedTest annotation and skip_test prefix.

0.1.8 #

  • Update FailingTest to add named parameters issue and reason.

0.1.7 #

  • Update documentation comments.
  • Remove @MirrorsUsed annotation on dart:mirrors.

0.1.6 #

  • Make FailingTest public, with the URI of the issue that causes the test to break.

0.1.5 #

  • Set max SDK version to <3.0.0, and adjust other dependencies.

0.1.3 #

  • Fix @failingTest to fail when the test passes.

0.1.2 #

  • Update the pubspec dependencies section to include package:test

0.1.1 #

  • For @failingTest tests, properly handle when the test fails by throwing an exception in a timer task
  • Analyze this package in strong mode

0.1.0 #

  • Switched from 'package:unittest' to 'package:test'.
  • Since 'package:test' does not define 'solo_test', in order to keep this functionality, defineReflectiveSuite must be used to wrap all defineReflectiveTests invocations.

0.0.4 #

  • Added @failingTest, @assertFailingTest and @soloTest annotations.

0.0.1 #

  • Initial version

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  test_reflective_loader: ^0.1.9

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:test_reflective_loader/test_reflective_loader.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
55
Health:
Code health derived from static analysis. [more]
88
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
72
Learn more about scoring.

We analyzed this package on Oct 11, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21

Platforms

Detected platforms: web, other

Primary library: package:test_reflective_loader/test_reflective_loader.dart with components: mirrors.

Health suggestions

Fix lib/test_reflective_loader.dart. (-11.78 points)

Analysis of lib/test_reflective_loader.dart reported 25 hints, including:

line 12 col 1: Prefer using /// for doc comments.

line 18 col 1: Prefer using /// for doc comments.

line 23 col 1: Prefer using /// for doc comments.

line 29 col 1: Prefer using /// for doc comments.

line 34 col 1: Prefer using /// for doc comments.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and test_reflective_loader.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <3.0.0
test >=0.12.0 <2.0.0 1.9.1
Transitive dependencies
analyzer 0.38.5
args 1.5.2
async 2.4.0
boolean_selector 1.0.5
charcode 1.1.2
collection 1.14.12
convert 2.1.1
coverage 0.13.3
crypto 2.1.3
csslib 0.16.1
front_end 0.1.27
glob 1.1.7
html 0.14.0+3
http 0.12.0+2
http_multi_server 2.1.0
http_parser 3.1.3
io 0.3.3
js 0.6.1+1
kernel 0.3.27
logging 0.11.3+2
matcher 0.12.5
meta 1.1.7
mime 0.9.6+3
multi_server_socket 1.0.2
node_preamble 1.4.8
package_config 1.1.0
package_resolver 1.0.10
path 1.6.4
pedantic 1.8.0+1
pool 1.4.0
pub_semver 1.4.2
shelf 0.7.5
shelf_packages_handler 1.0.4
shelf_static 0.2.8
shelf_web_socket 0.2.3
source_map_stack_trace 1.1.5
source_maps 0.10.8
source_span 1.5.5
stack_trace 1.9.3
stream_channel 2.0.0
string_scanner 1.0.5
term_glyph 1.1.0
test_api 0.2.8
test_core 0.2.12
typed_data 1.1.6
vm_service 1.2.0 2.1.1
watcher 0.9.7+12
web_socket_channel 1.1.0
yaml 2.2.0